【友盟+】开发者社区

编译出现警告:_OBJC_CLASS_$_QQApiImageArrayForQZoneObject

半夏 发表于 2017-2-9 15:57:11 | |阅读模式

半夏
半夏 发表于 2017-2-9 15:57:11 | 显示全部楼层 |阅读模式


错误日志如下:

"_OBJC_CLASS_$_QQApiImageArrayForQZoneObject", referenced from:
objc-class-ref in libSocialQQ.a(UMSocialQQHandler.o)


错误原因:

SDK中QQ相关.a文件及framework版本与UShare核心库版本不一致,导致相关QQ分享类缺失报错

解决方案:

升级SDK过程中注意不光需要升级UShare分享核心库,同样需要更新QQ相关库文件(tencentopenAPI内的全部文件),重新替换QQ相关文件即可




上一篇:【报错必看】友盟appkey格式错误或不正确的appkey
下一篇:QQ登录提示错误110406

您需要登录后才可以发帖 登录 | 立即注册

本版积分规则

发表主题

精彩推荐

Xcode9 beat2 编译出错
今天安装了Xcode9 beat2 版本,感觉还不错,就兴冲冲的去编译公司项目,然后发现悲了个催了 ,,编译不通
6.4.5版本sdk,新浪分享内存泄漏
新浪分享的时候,sdk内部持有了Activity造成了内存泄漏
iOS 分享word文件到微信
1. 有个需求是下载网络上的word文件,并分享到微信好友,结果分享出来的不正确。 有指教的吗。。。。

关注我们

新浪微博
微信

欢迎关注友盟官方微博微信!

在线客服
返回顶部 返回列表